Bug 191820 - valgrind won't build in mock
valgrind won't build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: valgrind (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-15 18:43 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 3.1.1-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 12:49:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andreas Thienemann 2006-05-15 18:43:25 EDT
Valgrind does currently not build in mock in x86_64. The error is as follows:

/usr/include/gnu/stubs.h:7:27: error: gnu/stubs-32.h: No such file or directory
This is part of glibc-devel.i386, which is not installed in mock builds. The
x86_64 glibc-devel only supplies stubs-64.h.

Is this requirement on the ia32 headerfile really needed?
Comment 1 Jakub Jelinek 2006-05-16 03:02:34 EDT
mock is incapable of handling multilib builds, but that's something that needs
to be fixed in mock, not the individual packages.
At least gcc, compat-gcc-32 and valgrind need glibc{,-devel} for the other arch
installed.
Comment 2 Jakub Jelinek 2006-05-26 12:49:07 EDT
Should be fixed in valgrind-3.1.1-3 the same way as gcc requires this now.
The rest is mock bug.

Note You need to log in before you can comment on or make changes to this bug.